Invoice Payment Create Api
curl --request POST \
--url https://api.justpaid.io/api/v1/payment/invoice_payment/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice": {
"amount": 123,
"invoice_number": "<string>",
"line_items": [
{
"amount": 123,
"name": "<string>",
"unit_price": 123,
"quantity": 1,
"currency": "USD",
"description": "<string>"
}
],
"currency": "USD",
"invoice_date": "2023-12-25",
"description": "<string>"
},
"customer_uuid": "<string>"
}
'import requests
url = "https://api.justpaid.io/api/v1/payment/invoice_payment/create"
payload = {
"invoice": {
"amount": 123,
"invoice_number": "<string>",
"line_items": [
{
"amount": 123,
"name": "<string>",
"unit_price": 123,
"quantity": 1,
"currency": "USD",
"description": "<string>"
}
],
"currency": "USD",
"invoice_date": "2023-12-25",
"description": "<string>"
},
"customer_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice: {
amount: 123,
invoice_number: '<string>',
line_items: [
{
amount: 123,
name: '<string>',
unit_price: 123,
quantity: 1,
currency: 'USD',
description: '<string>'
}
],
currency: 'USD',
invoice_date: '2023-12-25',
description: '<string>'
},
customer_uuid: '<string>'
})
};
fetch('https://api.justpaid.io/api/v1/payment/invoice_payment/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"amount": 123,
"invoice_number": "<string>",
"line_items": [
{
"name": "<string>",
"unit_price": 123,
"quantity": 1,
"amount": 123,
"currency": "USD",
"description": "<string>",
"flat_fee": 123
}
],
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"invoice_date": "2023-12-25",
"description": "<string>"
},
"total_amount": 123,
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_status": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>",
"payment_scheduled_date": "2023-11-07T05:31:56Z",
"payment_completed_date": "2023-11-07T05:31:56Z"
}Invoice Payment
Invoice Payment Create Api
POST
/
api
/
v1
/
payment
/
invoice_payment
/
create
Invoice Payment Create Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Total amount of the payment
The JustPaid customer UUID
Reference number for the payment
Maximum string length:
50Date and time on which the payment is scheduled to be made
Date and time on which the payment is completed
Was this page helpful?
⌘I
